# Interface FileItemFactory<I extends FileItem<I>>

Type Parameters:
  `I` - The `FileItem` type this factory creates.

All Known Implementing Classes:
  `DiskFileItemFactory`

public interface FileItemFactory<I extends FileItem<I>>
Creates `FileItem` instances.

Factories can provide their own custom configuration, over and above that provided by the default file upload implementation.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`FileItemFactory.AbstractFileItemBuilder<I extends FileItem<I>, B extends FileItemFactory.AbstractFileItemBuilder<I,B>>`
Abstracts building for subclasses.

## Method Summary

Modifier and Type
Method
Description
`<B extends FileItemFactory.AbstractFileItemBuilder<I,B>>
FileItemFactory.AbstractFileItemBuilder<I,B>`
`fileItemBuilder()`
Creates a new AbstractFileItemBuilder.

## Method Details

### fileItemBuilder

<B extends FileItemFactory.AbstractFileItemBuilder<I,B>> FileItemFactory.AbstractFileItemBuilder<I,B> fileItemBuilder()
Creates a new AbstractFileItemBuilder.

Type Parameters:
  `B` - The type of AbstractFileItemBuilder.
Returns:
  a new AbstractFileItemBuilder.